curl --location --request DELETE 'https://integrations.projectcor.com/v2/integrations/teams/11213132312111' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {
"source": "GLOBANT"
}
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/teams/11213132312111"
payload = {
"metadata": {
"source": "GLOBANT"
}
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.json())
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/teams/11213132312111',
{
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
metadata: {
source: 'GLOBANT'
}
})
}
);
const data = await response.json();
console.log(data);
{
"message": "Entity deleted successfully"
}
{
"status": "ERROR",
"code": "ZC001",
"message": "Entity is not associated"
}
Teams
Delete Team
Deletes a team from your COR instance using its external ID
DELETE
/
v2
/
integrations
/
teams
/
{id}
curl --location --request DELETE 'https://integrations.projectcor.com/v2/integrations/teams/11213132312111' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {
"source": "GLOBANT"
}
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/teams/11213132312111"
payload = {
"metadata": {
"source": "GLOBANT"
}
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.json())
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/teams/11213132312111',
{
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
metadata: {
source: 'GLOBANT'
}
})
}
);
const data = await response.json();
console.log(data);
{
"message": "Entity deleted successfully"
}
{
"status": "ERROR",
"code": "ZC001",
"message": "Entity is not associated"
}
Deletes a team from your COR instance using its external ID. This also removes the integration mapping for the team.
Path Parameters
string
required
External team ID that was used when creating the team
Request Body Requirements
object
required
Show properties
Show properties
string
required
Integration source identifier. Must match the source used when creating the team.
Known Errors
ZC001— Entity is not associated (team not found with the specified external ID for this source)ValidationError— Missing requiredmetadata.sourcefield
curl --location --request DELETE 'https://integrations.projectcor.com/v2/integrations/teams/11213132312111' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"metadata": {
"source": "GLOBANT"
}
}'
import requests
url = "https://integrations.projectcor.com/v2/integrations/teams/11213132312111"
payload = {
"metadata": {
"source": "GLOBANT"
}
}
headers = {
"Authorization": "Bearer YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.json())
const response = await fetch(
'https://integrations.projectcor.com/v2/integrations/teams/11213132312111',
{
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
metadata: {
source: 'GLOBANT'
}
})
}
);
const data = await response.json();
console.log(data);
{
"message": "Entity deleted successfully"
}
{
"status": "ERROR",
"code": "ZC001",
"message": "Entity is not associated"
}
Was this page helpful?
⌘I

